Get project file
curl --request GET \
--url https://api.example.com/api/v1/project-files/{file_uuid} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/project-files/{file_uuid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/project-files/{file_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blob_sha256": "<string>",
"bucket_id": "<string>",
"compression": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"file_uuid": "<string>",
"filename": "<string>",
"include_images": true,
"include_snapshots": true,
"is_read_only": true,
"keep_compute_ids": true,
"owner_id": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"reset_mac_addresses": true,
"size_bytes": 123,
"updated_at": "<string>",
"version_tag": "<string>"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}project-files
Get project file
Returns the combined file and project_files metadata for the requested UUID.
GET
/
api
/
v1
/
project-files
/
{file_uuid}
Get project file
Authorizations
Type "Bearer" followed by a space and JWT token.
Path Parameters
File UUID
Response
OK
Available options:
pending, uploading, available, tombstoned, deleted ⌘I